// Copyright (C) 2008-2012 Nikolaus Gebhardt
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in nirtcpp/nirtcpp.hpp

#ifndef S_VERTEX_INDEX_HPP_INCLUDED
#define S_VERTEX_INDEX_HPP_INCLUDED

#include <nirtcpp/core/engine/nirt_types.hpp>


namespace nirt
{
namespace video
{
enum E_INDEX_TYPE
{
	EIT_16BIT = 0,
	EIT_32BIT
};


/*
//! vertex index used by the Nirtcpp engine.
template <class T>
class SSpecificVertexIndex
{
public:
	T Index;

	//! default constructor
	SSpecificVertexIndex() {}

	//! constructor
	SSpecificVertexIndex(u32 _index) :Index(_index) {}

	bool operator==(const SSpecificVertexIndex& other) const
	{
		return (Index == other.Index);
	}

	bool operator!=(const SSpecificVertexIndex& other) const
	{
		return (Index != other.Index);
	}

	bool operator<(const SSpecificVertexIndex& other) const
	{
		return (Index < other.Index);
	}

	SSpecificVertexIndex operator+(const u32& other) const
	{
		return SSpecificVertexIndex(Index + other);
	}

	operator const u32() const
	{
		return (const u32)Index;
	}

	E_INDEX_TYPE getType() const
	{
		if (sizeof(T)==sizeof(u16))
			return video::EIT_16BIT;
		return video::EIT_32BIT;
	}

};

//using SVertexIndex = SSpecificVertexIndex<u16>;

using SVertexIndex = u32;
*/


} // end namespace video
} // end namespace nirt

#endif
