// Copyright (C) 2002-2012 Nikolaus Gebhardt
// This file is part of the "Irrlicht Engine".
// For conditions of distribution and use, see copyright notice in nirtcpp/nirtcpp.hpp

#ifndef S_K_2D_VERTEX_HPP_INCLUDED
#define S_K_2D_VERTEX_HPP_INCLUDED

#include <nirtcpp/core/engine/vector2d.hpp>

using TZBufferType = signed short;

namespace nirt
{
namespace video
{

	class S2DVertex
	{
	public:
		core::vector2d<s32> Pos;	// position
		core::vector2d<s32> TCoords;	// texture coordinates
		TZBufferType ZValue;		// zvalue
		u16 Color;
	};


} // end namespace video
} // end namespace nirt

#endif
